UDT Reference: Functions

#### startup

The startup method initializes the UDT library.

int startup(
);

##### Parameters

None.

##### Return Value

If success, 0 is returned; otherwise, UDT::ERROR is returned and specific error information can be retrieved by getlasterror.

In the current version, this method always succeed.

##### Description

The startup method initializes the UDT library. In particular, it starts the garbage collection thread. This method must be called before any other UDT calls. Failure to do so may cause memory leak.

If startup is called multiple times in one application, only the first one is effective, while the rest will do nothing.

##### See Also

cleanup